Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class JaasSubjectPassiveCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
              com.ibm.wps.portletservice.credentialvault.credentials.JaasSubjectPassiveCredential

All Implemented Interfaces:
  Credential, JaasSubjectPassiveCredential, PassiveCredential, java.io.Serializable

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class JaasSubjectPassiveCredential

extends PassiveCredential
implements JaasSubjectPassiveCredential

This credential is only a container of the user's secret. Portlets may call the getSecret() method in order to obtain and work with this secret.

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary
`protected JaasSubjectCredentialSecret` | `secret` Deprecated.

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`JaasSubjectPassiveCredential()` Deprecated.

Method Summary
`javax.security.auth.Subject` | `getSecret()` Deprecated. Returns the user's secret as an Jaas Subject.
`int` | `getSecretType()` Deprecated. Returns credential's Secret Type in terms of the constants declared in (@link CredentialSecret) Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Creates a new JaasSubjectPassive credential.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
`isActive`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.PassiveCredential
`isActive`

Field Detail

### secret

    protected JaasSubjectCredentialSecret secret

  Deprecated.

Constructor Detail

### JaasSubjectPassiveCredential

    public JaasSubjectPassiveCredential()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Creates a new JaasSubjectPassive credential.

  Specified by:
    `init` in interface `Credential`
  Specified by:
    `init` in interface `JaasSubjectPassiveCredential`
  Overrides:
    `init` in class `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    public int getSecretType()

  Deprecated.
  Returns credential's Secret Type in terms of the constants declared in (@link CredentialSecret) Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Specified by:
    `getSecretType` in interface `JaasSubjectPassiveCredential`
  Overrides:
    `getSecretType` in class `Credential`
  Returns:
    int Credential Secret type identifier
  See Also:
    `CredentialVaultService`

### getSecret

    public javax.security.auth.Subject getSecret()

  Deprecated.
  Returns the user's secret as an Jaas Subject.

  Specified by:
    `getSecret` in interface `JaasSubjectPassiveCredential`
  Returns:
    Subject The user's secret

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD